title: Peregrine API
entries:
    - label: Extension points
      entries:
          - label: Targets
            url: /peregrine/reference/targets/
          - label: Wrappable Talons
            url: /peregrine/reference/targets/wrappable-talons/
    - label: Components and utilities
      entries:
          - label: Item
            url: /peregrine/reference/item/

          - label: Items
            url: /peregrine/reference/items/

          - label: List
            url: /peregrine/reference/list/

          - label: Price
            url: /peregrine/reference/price/

          - label: Router
            url: /peregrine/reference/router/

    - label: Custom React hooks
      entries:
          - label: useDropdown
            url: /peregrine/reference/hooks/useDropdown/

          - label: useEventListener
            url: /peregrine/reference/hooks/useEventListener/

          - label: usePagination
            url: /peregrine/reference/hooks/usePagination/

          - label: useSearchParam
            url: /peregrine/reference/hooks/useSearchParam/

          - label: useToasts
            url: /peregrine/reference/toasts/useToasts/

          - label: useToastContext
            url: /peregrine/reference/toasts/useToastContext/

          - label: useWindowSize
            url: /peregrine/reference/hooks/useWindowSize/
    
    - label: Shopping Cart Talons
      entries:

        - label: Cart Page
          url: /peregrine/reference/talons/CartPage/

        - label: Gift Cards
          url: /peregrine/reference/talons/CartPage/GiftCards/

        - label: Gift Options
          url: /peregrine/reference/talons/CartPage/GiftOptions/

        - label: Price Adjustments
          url: /peregrine/reference/talons/CartPage/PriceAdjustments/

        - label: Price Summary
          url: /peregrine/reference/talons/CartPage/PriceSummary/

        - label: Product Listing
          url: /peregrine/reference/talons/CartPage/ProductListing/


